| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::mcc::CChecker Class Referenceabstract
Macbeth Chart module

checker object More...

`#include <opencv2/mcc/checker_model.hpp>`

Collaboration diagram for cv::mcc::CChecker:

## Public Member Functions
| CChecker ()
virtual | ~CChecker ()
virtual std::vector< Point2f > | getBox ()=0
virtual Point2f | getCenter ()=0
virtual Mat | getChartsRGB ()=0
virtual Mat | getChartsYCbCr ()=0
virtual std::vector< Point2f > | getColorCharts ()=0
| Computes and returns the coordinates of the central parts of the charts modules.
virtual float | getCost ()=0
virtual TYPECHART | getTarget ()=0
virtual void | setBox (std::vector< Point2f > _box)=0
virtual void | setCenter (Point2f _center)=0
virtual void | setChartsRGB (Mat _chartsRGB)=0
virtual void | setChartsYCbCr (Mat _chartsYCbCr)=0
virtual void | setCost (float _cost)=0
virtual void | setTarget (TYPECHART _target)=0

## Static Public Member Functions
static Ptr< CChecker > | create ()
| Create a new CChecker object.

## Detailed Description

checker object

CChecker

This class contains the information about the detected checkers,i.e, their type, the corners of the chart, the color profile, the cost, centers chart, etc.

## Constructor & Destructor Documentation

## ◆ CChecker()

cv::mcc::CChecker::CChecker | ( |  | ) |
| inline

## ◆ ~CChecker()

virtual cv::mcc::CChecker::~CChecker | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create()

static Ptr< CChecker > cv::mcc::CChecker::create | ( |  | ) |
| static

Python:
| cv.mcc.CChecker.create( |  | ) -> | retval
| cv.mcc.CChecker_create( |  | ) -> | retval

Create a new CChecker object.

Returns
  A pointer to the implementation of the CChecker

## ◆ getBox()

virtual std::vector< Point2f > cv::mcc::CChecker::getBox | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getBox( |  | ) -> | retval

## ◆ getCenter()

virtual Point2f cv::mcc::CChecker::getCenter | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getCenter( |  | ) -> | retval

## ◆ getChartsRGB()

virtual Mat cv::mcc::CChecker::getChartsRGB | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getChartsRGB( |  | ) -> | retval

## ◆ getChartsYCbCr()

virtual Mat cv::mcc::CChecker::getChartsYCbCr | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getChartsYCbCr( |  | ) -> | retval

## ◆ getColorCharts()

virtual std::vector< Point2f > cv::mcc::CChecker::getColorCharts | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getColorCharts( |  | ) -> | retval

Computes and returns the coordinates of the central parts of the charts modules.

This method computes transformation matrix from the checkers's coordinates (`cv::mcc::CChecker::getBox()`) and find by this the coordinates of the central parts of the charts modules. It is used in `cv::mcc::CCheckerDraw::draw()` and in `ChartsRGB` calculation.

## ◆ getCost()

virtual float cv::mcc::CChecker::getCost | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getCost( |  | ) -> | retval

## ◆ getTarget()

virtual TYPECHART cv::mcc::CChecker::getTarget | ( |  | ) |
| pure virtual

Python:
| cv.mcc.CChecker.getTarget( |  | ) -> | retval

## ◆ setBox()

virtual void cv::mcc::CChecker::setBox | ( | std::vector< Point2f > | _box | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setBox( | _box | ) -> | None

## ◆ setCenter()

virtual void cv::mcc::CChecker::setCenter | ( | Point2f | _center | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setCenter( | _center | ) -> | None

## ◆ setChartsRGB()

virtual void cv::mcc::CChecker::setChartsRGB | ( | Mat | _chartsRGB | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setChartsRGB( | _chartsRGB | ) -> | None

## ◆ setChartsYCbCr()

virtual void cv::mcc::CChecker::setChartsYCbCr | ( | Mat | _chartsYCbCr | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setChartsYCbCr( | _chartsYCbCr | ) -> | None

## ◆ setCost()

virtual void cv::mcc::CChecker::setCost | ( | float | _cost | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setCost( | _cost | ) -> | None

## ◆ setTarget()

virtual void cv::mcc::CChecker::setTarget | ( | TYPECHART | _target | ) |
| pure virtual

Python:
| cv.mcc.CChecker.setTarget( | _target | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/mcc/checker_model.hpp